Bug 196031 - Crash in ETable code on starting evolution
Crash in ETable code on starting evolution
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-20 10:56 EDT by Dave Malcolm
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 17:05:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2006-06-20 10:56:35 EDT
Version-Release number of selected component (if applicable):
evolution-2.7.2.1-1
evolution-data-server-1.7.2-1

How reproducible:
100% at the moment

Steps to Reproduce:
1.  Start evolution in mailer view
2.  Main window appears, password dialog for account appears; evolution is
scanning cached email
3.  About a second later, evolution segfaults, with a bogus style value inside
the e_table code (see below)
  
Actual results:
#0  0x04f1fa88 in e_table_header_draw_button (drawable=0x9091450,
ecol=0x89c7e00, style=0x8cef400, state=GTK_STATE_NORMAL, widget=0x8a7e060, x=0, y=0,
    width=512, height=21, button_width=22, button_height=21,
arrow=E_TABLE_COL_ARROW_NONE) at e-table-header-utils.c:357
357             gc = g_label->style->fg_gc[state];
(gdb) p g_label->style
$1 = (GtkStyle *) 0xaaaaaaaa
(gdb) bt

#0  0x04f1fa88 in e_table_header_draw_button (drawable=0x9091450,
ecol=0x89c7e00, style=0x8cef400, state=GTK_STATE_NORMAL, widget=0x8a7e060, x=0, y=0,
    width=512, height=21, button_width=22, button_height=21,
arrow=E_TABLE_COL_ARROW_NONE) at e-table-header-utils.c:357
#1  0x04f1d9d7 in ethi_draw (item=0x8a7f000, drawable=0x9091450, x=0, y=0,
width=512, height=21) at e-table-header-item.c:1013
#2  0x00946722 in gnome_canvas_root () from /usr/lib/libgnomecanvas-2.so.0
#3  0x0094aeb2 in gnome_canvas_item_new () from /usr/lib/libgnomecanvas-2.so.0
#4  0x0494f568 in gtk_marshal_BOOLEAN__VOID () from /usr/lib/libgtk-x11-2.0.so.0
#5  0x00dbd809 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#6  0x00dbefdb in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#7  0x00dd18c3 in g_signal_override_class_closure () from
/usr/lib/libgobject-2.0.so.0
#8  0x00dd2596 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#9  0x00dd2989 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#10 0x04a7a258 in gtk_widget_get_default_style () from /usr/lib/libgtk-x11-2.0.so.0
#11 0x00945007 in gnome_canvas_window_to_world () from
/usr/lib/libgnomecanvas-2.so.0
#12 0x00945d16 in gnome_canvas_set_scroll_region () from
/usr/lib/libgnomecanvas-2.so.0
#13 0x0012abc1 in g_list_remove_link () from /usr/lib/libglib-2.0.so.0
#14 0x0012c57d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#15 0x0012f80f in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#16 0x0012fbb9 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#17 0x0073bb83 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#18 0x0805e446 in main (argc=1, argv=0xbfa36ac4) at main.c:614
#19 0x00b205a4 in __libc_start_main () from /lib/libc.so.6
#20 0x0804fdf1 in _start ()
Comment 1 Matthew Barnes 2006-09-18 16:46:56 EDT
Hi Dave, I don't think I've seen this crash.
Are you still seeing it in recent evolution releases?
Comment 2 Dave Malcolm 2006-09-18 17:05:22 EDT
No: I think it was a bug in one of the GTK theme engines, which was rapidly
fixed.  Sorry for not updating the bug at the time.

Closing RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.